Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.script
Class ScriptFactory

    java.lang.Object
      org.apache.axis.components.script.ScriptFactory

public class ScriptFactory
extends java.lang.Object

This class implements a factory to instantiate an Script component.

Since:
  2.0
Author:
  Davanum Srinivas

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`ScriptFactory()`

Method Summary
`static Script` | `getScript()` Get the Script implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### ScriptFactory

    public ScriptFactory()

Method Detail

### getScript

    public static Script getScript()

  Get the Script implementation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.